<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Model.aspx.cs" Inherits="LMN.Web.Admin.Shop.ModelList" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<title></title>
<link href="../css/admin.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../Scripts/jquery-1.4.1.min.js"></script>
<script src="../Scripts/alert.js" type="text/javascript"></script>
</head>
<body>
<form id="form1" runat="server">
    <div style="padding: 20px;">
        <h4 class="title">模型管理 <a href="ModelAdd.aspx">+<span>添加</span></a></h4>
        <div class="division">
            <table>
                <tr class="left">
                    <th class="chk"><input type="checkbox" name="all" id="all" value="true" /></th>
                    <th class="chk">链接</th>
                    <th class="chk">启用</th>
                    <th class="w20">排序</th>
                    <th>名称</th>
                </tr>
                <asp:Repeater ID="Repeater1" runat="server">
                    <ItemTemplate>
                        <tr>
                            <td><input type="checkbox" name="id" id="id_<%#Eval("id") %>" value="<%#Eval("id") %>"></td>
                            <td><%#Eval("islink")%></td>
                            <td><%#Eval("enable")%></td>
                            <td><%#Eval("sort") %></td>
                            <td><a href="ModelAdd.aspx?id=<%#Eval("id") %>"><%#Eval("name") %></a></td>
                        </tr>
                    </ItemTemplate>
                </asp:Repeater>
                <tr>
                    <td colspan="5"><input style="float: left;" type="button" id="multidele" name="multidele" value="批量删除" />
                        <div style="float: left; margin-left: 5px;">
                            <LMN:Pager ID="Pager1" runat="server" PageSize="20" CssClass="pager">
                            </LMN:Pager>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <iframe id="iframe" name="iframe" src="about:blank" style="display: none;"></iframe>
</form>
<script type="text/javascript">
    $("#all").click(function() {
        var b = $(this).attr("checked");
        $("input[name=id]").each(function() {
            $(this).attr("checked", b);
        });
    });
    $("#multidele").click(function() {
        if ($("input[name=id]:checked").length == 0) {
            showTips("请选择要删除的项！", 3);
            return false;
        }

        if (!confirm("确认删除选中的记录？"))
            return false;

        var ids = "";
        $("input[name=id]:checked").each(function() {
            ids += (ids == "" ? "" : ",") + $(this).val();
        });

        if (ids != "") {
            $.get("Action.aspx?action=modeldelete&id=" + ids + "&" + new Date(), function(data) {
                if (data == "-1") {
                    alert("请选择要删除的记录！");
                } else if (data == "0") {
                    alert("删除失败，请重试！");
                } else {
                    alert("删除成功！");
                    location.reload();
                }
            });
        }
        return true;
    });
</script>
</body>
</html>
